
%global meadversion 1.2.0
%global namedversion 1.2.0.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%if "%{?rhel}" == "6" 
%global _jarsign_opts --unsign=%{_javadir} 
%endif


%bcond_without mead
%bcond_with javadoc
%{?scl:%scl_package %{?scl_prefix}staxmapper}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.2.0.Final-redhat-1

Name: %{?scl_prefix}staxmapper
Summary: StAX Mapper
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
License: LGPLv2+
Group: Development/Libraries

%if %with mead
Source100: staxmapper-1.2.0.Final-redhat-1-scm-sources.zip
Source102: staxmapper-1.2.0.Final-redhat-1.pom
Source103: staxmapper-1.2.0.Final-redhat-1-project-sources.tar.gz
Source104: staxmapper-1.2.0.Final-redhat-1.jar
Source105: staxmapper-1.2.0.Final-redhat-1-sources.jar
Source106: staxmapper-1.2.0.Final-redhat-1-javadoc.jar
%endif


BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-buildroot
BuildArch: noarch

%description
StAX Mapper

%if %with javadoc
%package javadoc
Summary:        Javadoc for %{pkg_name}
Group:          Development/Documentation


%description javadoc
Javadoc for %{pkg_name}
%endif

%prep
%setup -q -n staxmapper -T -b 100

%build
                                                                                                     
%install
rm -rf %{buildroot}

#jars
%{__mkdir_p} %{buildroot}%{_javadir}
install -pD -T -m 644 %{_sourcedir}/%{pkg_name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{pkg_name}-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && ln -s %{pkg_name}-%{namedversion}.jar %{pkg_name}.jar)

install -pD -T -m 644 %{_sourcedir}/%{pkg_name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{pkg_name}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && ln -s %{pkg_name}-%{namedversion}-sources.jar %{pkg_name}-sources.jar)

%if %with javadoc
install -pD -T -m 644 %{_sourcedir}/%{pkg_name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{pkg_name}-%{namedversion}-javadoc.jar
(cd %{buildroot}%{_javadir} && ln -s %{pkg_name}-%{namedversion}-javadoc.jar %{pkg_name}-javadoc.jar)
%endif

%if %with javadoc
#javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{pkg_name}-%{namedversion}
unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{pkg_name}-%{namedversion} %{_sourcedir}/%{pkg_name}-%{namedversion}-javadoc.jar
rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{pkg_name}-%{namedversion}/META-INF
(cd %{buildroot}%{_javadocdir} && ln -s %{pkg_name}-%{namedversion} %{pkg_name})
%endif

%clean
rm -rf %{buildroot}

%files -n %{?scl_prefix}staxmapper
%defattr(0644,root,root,0755)
%{_javadir}*/%{pkg_name}.jar
%{_javadir}*/%{pkg_name}-%{namedversion}.jar
%{_javadir}*/%{pkg_name}-sources.jar
%{_javadir}*/%{pkg_name}-%{namedversion}-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{pkg_name}
%{_javadocdir}/%{pkg_name}-%{namedversion}
%endif

%changelog
* Mon Jul 06 2015 Lin Gao <lgao@redhat.com> - 1.2.0-1.Final_redhat_1.1
- Upgrade to 1.2.0.Final-redhat-1

* Mon Jul 06 2015 Lin Gao <lgao@redhat.com> - 1.1.0-8.Final_redhat_4.1
- Upgrade to 1.2.0.Final-redhat-1

* Tue Dec 16 2014 Lin Gao <lgao@redhat.com> - 1.1.0-7.Final_redhat_3.1
- Rebuild to remove old EAP bom

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.0-6.Final_redhat_2.2
- Rebuild for MD5

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 1.1.0-5.Final_redhat_2.2
- Update poms for eap 6.0.1

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.0-4.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.0-4.Final_redhat_1.1
- Rebuild using cache signing

* Fri May 25 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.0-4.Final_redhat_1
- Remove javadocs JAR from main package

* Thu Mar 15 2012 Lin Gao <lgao@redhat.com> - 1.1.0-3.Final_redhat_1
- Use new wrapper
- Requries jpackage-utils in javadoc subpackage
- List each file in %files

* Thu Feb 16 2012 Lin Gao <lgao@redhat.com> - 1.1.0-2.Final_redhat_1
- remove META-INF from javadoc

* Thu Feb 16 2012 Lin Gao <lgao@redhat.com> - 1.1.0-1.Final_redhat_1
- Upgrade to 1.1.0.Final

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 1.0.0-4.Final_redhat_1
- Rebuild to use new signing key

* Tue Jan 31 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-3.Final_redhat_1
- fix pom to use new BOM
- switch to rhpkg build
- fill spec for rpm build from mead build

* Mon Aug 22 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0.Final-2
- Use productization git repository
- wolf build

* Tue Aug 2 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0.Final-1
- upgrade to 1.0.0.Final

* Mon Jun 27 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0.Beta4-1
- initial template for staxmapper

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1
- Placeholder
